bcr_test_module:
  module_path: "."
  matrix:
    platform: ["debian10", "macos", "ubuntu2004"]
    bazel: ["8.4.2"]
  tasks:
    run_tests:
      name: "Run tests"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - "//..."

# Doesn't work in BCR yet...
#bcr_test_module:
#  module_path: "test"
#  matrix:
#    platform: ["debian10", "macos", "ubuntu2004"] # "windows" doesn't work until we get toml2json prebuilts
#    bazel: ["8.4.2"]
#  tasks:
#    run_tests:
#      name: "Run test module"
#      platform: ${{ platform }}
#      bazel: ${{ bazel }}
#      build_targets:
#        - "//..."
#